#!/bin/bash
set -eu -o pipefail
printf "%%%s %s\n" \
    _topdir /src \
    _rpmdir "$PWD/packages" \
    _srcrpmdir "$PWD/packages" \
    _builddir $(mktemp -d -p /src BUILD-XXXXXX) \
    _rpmfilename '%%{NAME}-%%{VERSION}-%%{RELEASE}.%%{ARCH}.rpm' \
    | tee ~/.rpmmacros
rpmdev-setuptree
sudo dnf builddep -y package.spec
cp release_pkg.sh /src/SOURCES
rpmbuild --quiet -bb package.spec
